package com.terraformersmc.terrestria;

import com.terraformersmc.terraform.config.BiomeConfig;
import com.terraformersmc.terraform.config.BiomeConfigHandler;
import com.terraformersmc.terrestria.command.LocateAny;
import com.terraformersmc.terrestria.init.*;
import com.terraformersmc.terrestria.item.LogTurnerItem;
import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.client.itemgroup.FabricItemGroupBuilder;
import net.minecraft.class_1761;
import net.minecraft.class_1792;
import net.minecraft.class_1799;
import net.minecraft.class_2378;
import net.minecraft.class_2960;

public class Terrestria implements ModInitializer {
	public static final String MOD_ID = "terrestria";
	public static class_1761 ITEM_GROUP;
	public static BiomeConfigHandler BIOME_CONFIG_HANDLER;

	@Override
	public void onInitialize() {
		ITEM_GROUP = FabricItemGroupBuilder.build(new class_2960(MOD_ID, "items"), () -> new class_1799(TerrestriaItems.RUBBER_SAPLING));
		BIOME_CONFIG_HANDLER = new BiomeConfigHandler(MOD_ID);

		BiomeConfig config = BIOME_CONFIG_HANDLER.getBiomeConfig();

		TerrestriaBlocks.init();
		TerrestriaItems.init();
		TerrestriaFeatures.init();
		TerrestriaSurfaces.init();
		TerrestriaBiomes.init();
		TerrestriaGeneration.init(config);

		BIOME_CONFIG_HANDLER.save();

		class_2378.method_10230(class_2378.field_11142, new class_2960(MOD_ID, "log_turner"), new LogTurnerItem(new class_1792.class_1793().method_7892(ITEM_GROUP)));
		LocateAny.register();
	}
}
