package com.terraformersmc.terrestria.feature;

import net.minecraft.class_2680;


public final class TreeDefinition {
	// wrapper class kthxbye
	private TreeDefinition() {
	}

	public static class Basic {
		private class_2680 log;
		private class_2680 leaves;

		public Basic(class_2680 log, class_2680 leaves) {
			this.log = log;
			this.leaves = leaves;
		}

		public class_2680 getLog() {
			return this.log;
		}

		public class_2680 getLeaves() {
			return this.leaves;
		}

		public Sakura toSakura(class_2680 woodLeaves, class_2680 leafPile) {
			return new Sakura(this, woodLeaves, leafPile);
		}

		public Mega toMega(class_2680 logQuarter, class_2680 bark) {
			return new Mega(this.withBark(bark), logQuarter);
		}

		public WithBark withBark(class_2680 bark) {
			return new WithBark(this, bark);
		}
	}

	// This class exports public utilities / constants, these methods should be public
	@SuppressWarnings("WeakerAccess")
	public static class Sakura extends Basic {
		private class_2680 logLeaves;
		private class_2680 leafPile;

		Sakura(TreeDefinition.Basic parent, class_2680 logLeaves, class_2680 leafPile) {
			super(parent.log, parent.leaves);

			this.logLeaves = logLeaves;
			this.leafPile = leafPile;
		}

		public class_2680 getLogLeaves() {
			return this.logLeaves;
		}

		public class_2680 getLeafPile() {
			return this.leafPile;
		}
	}

	// This class exports public utilities / constants, these methods should be public
	@SuppressWarnings("WeakerAccess")
	public static class WithBark extends Basic {
		private class_2680 bark;

		WithBark(TreeDefinition.Basic parent, class_2680 bark) {
			super(parent.log, parent.leaves);

			this.bark = bark;
		}

		public class_2680 getBark() {
			return this.bark;
		}
	}

	// This class exports public utilities / constants, these methods should be public
	@SuppressWarnings("WeakerAccess")
	public static class Mega extends WithBark {
		private class_2680 logQuarter;

		Mega(TreeDefinition.WithBark parent, class_2680 logQuarter) {
			super(parent, parent.getBark());

			this.logQuarter = logQuarter;
		}

		public class_2680 getLogQuarter() {
			return this.logQuarter;
		}
	}
}
