package com.terraformersmc.terrestria.init.helpers;

import com.terraformersmc.terraform.block.TerraformPressurePlateBlock;
import com.terraformersmc.terraform.block.TerraformStoneButtonBlock;
import net.fabricmc.fabric.api.block.FabricBlockSettings;
import net.minecraft.class_2246;
import net.minecraft.class_2248;
import net.minecraft.class_2440;
import net.minecraft.class_3620;

public class StoneBlocks {
	public StoneVariantBlocks plain;
	public StoneVariantBlocks smooth;
	public StoneVariantBlocks cobblestone;
	public StoneVariantBlocks mossyCobblestone;
	public StoneVariantBlocks bricks;
	public StoneVariantBlocks mossyBricks;

	public TerraformStoneButtonBlock button;
	public TerraformPressurePlateBlock pressurePlate;
	public class_2248 chiseledBricks;
	public class_2248 crackedBricks;

	private StoneBlocks() {}

	public static StoneBlocks register(String name, class_3620 color) {
		StoneBlocks blocks = new StoneBlocks();

		blocks.plain = StoneVariantBlocks.register(name, color);
		blocks.smooth = StoneVariantBlocks.register("smooth_" + name, color);
		blocks.cobblestone = StoneVariantBlocks.register(name + "_cobblestone", color);
		blocks.mossyCobblestone = StoneVariantBlocks.register("mossy_" + name + "_cobblestone", color);
		blocks.bricks = StoneVariantBlocks.register(name + "_bricks", name + "_brick", color);
		blocks.mossyBricks = StoneVariantBlocks.register("mossy_" + name + "_bricks", "mossy_" + name + "_brick", color);

		blocks.button = TerrestriaRegistry.register(name + "_button", new TerraformStoneButtonBlock(FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));
		blocks.pressurePlate = TerrestriaRegistry.register(name + "_pressure_plate", new TerraformPressurePlateBlock(class_2440.class_2441.field_11362, FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));
		blocks.chiseledBricks = TerrestriaRegistry.register("chiseled_" + name + "_bricks", new class_2248(FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));
		blocks.crackedBricks = TerrestriaRegistry.register("cracked_" + name + "_bricks", new class_2248(FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));

		return blocks;
	}
}
